package common

import (
	"blazing/logic/service/fight/info"
	"math/rand"
)

type FightI interface {
	Escape(c PlayerI)                           //逃跑
	UseSkill(c PlayerI, id int32)               //使用技能
	GetCurrPET(c PlayerI) *info.BattlePetEntity //当前精灵
	Ownerid() uint32
	ReadyFight(c PlayerI) //是否准备战斗
	ChangePet(c PlayerI, id uint32)
	Capture(c PlayerI, id uint32)
	GetRand() *rand.Rand
}
